Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.access.jdbc
Class UpdateAction

    java.lang.Object
      org.apache.cayenne.access.jdbc.BaseSQLAction
          org.apache.cayenne.access.jdbc.UpdateAction

All Implemented Interfaces:
  SQLAction

Deprecated. since 3.0 as corresponding delete and update queries are deprecated.

    public class UpdateAction

extends BaseSQLAction

Since:
  1.2

Field Summary
`protected Query` | `query` Deprecated.

Fields inherited from class org.apache.cayenne.access.jdbc.BaseSQLAction
`adapter, entityResolver`

Constructor Summary
`UpdateAction(Query query, DbAdapter adapter, EntityResolver entityResolver)` Deprecated.

Method Summary
`protected QueryAssembler` | `createTranslator(Connection connection)` Deprecated.
`void` | `performAction(Connection connection, OperationObserver observer)` Deprecated. Executes a query using a strategy defined by the implementation.

Methods inherited from class org.apache.cayenne.access.jdbc.BaseSQLAction
`getAdapter, getEntityResolver, getInMemoryOffset, readResultSet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### query

    protected Query query

  Deprecated.

Constructor Detail

### UpdateAction

    public UpdateAction(Query query,
                        DbAdapter adapter,
                        EntityResolver entityResolver)

  Deprecated.

Method Detail

### createTranslator

    protected QueryAssembler createTranslator(Connection connection)

  Deprecated.

### performAction

    public void performAction(Connection connection,
                              OperationObserver observer)
                       throws SQLException,
                              Exception

  Deprecated.
  Description copied from interface: `SQLAction`
  Executes a query using a strategy defined by the implementation.

  Throws:
    `SQLException`
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Cayenne. All Rights Reserved.